* { margin: 0; padding: 0; border: 0; box-sizing: border-box;}

body {
font-family:"Comic Sans MS";
color: #000000;
display: grid;
justify-content: center;
padding-top: 20px;
background-color: #eeeeee;
background-image:  linear-gradient(#00bfff 1px, transparent 1px), linear-gradient(to right, #00bfff 1px, #eeeeee 1px);
background-size: 20px 20px;
background-attachment: fixed;
}

h1 { font-style: italic; }

strong { color: #00bfff; }

pre {
overflow-x: auto;
word-wrap: normal;
border: none;
border-radius: 3px;
}

code:not(.block) {
font-family: monospace;
font-size: .8em;
padding: .1em;
border: 1px solid lightgray;
border-radius: 3px;
}

code {
font-family: monospace;
font-size: .8em;
}

#thoughts {
display: flex;
flex-flow: row wrap;
max-width: 800px;
justify-content: center;
}

div.thought-date {
border: 2px solid #000000;
border-radius: 5px;
background: #eeeeee;
padding: 5px;
max-width: fit-content;
}

section.thought { 
width: 400px; 
margin: 20px; 
}

div.thought {
border: 10px ridge white;
border-radius: 10px;
padding: 20px;
color: white;
letter-spacing: 2px;
}

#topborder {
    width: 150vw;
    height: 10px;
    position: fixed;
    z-index: 999;
    top: 0px;
    background-color: #00BFFF;
}

b {
    font-weight: 110%;
    letter-spacing: 2px;
    color: #00bfff;
}

i {
    animation-duration: 10s;
    animation-name: colortext;
    animation-iteration-count: infinite;
}

u {
    text-decoration-color: #00bfff;
}

s {
    color: #808080;
    text-decoration-color: #FF69B4;
}

hr {
    height: 3px;
    margin: 20px 0;
    padding: 3px;
    animation-duration: 10s;
    animation-name: hrcolor;
    animation-iteration-count: infinite;
}



a {
    color: #000000;
    text-decoration-color: #00bfff;
}

a:hover {
    color: #000000;
    text-decoration-color: #FF69B4;
}

@keyframes colortext {
    0% {
        color: #000000;
    }

    80% {
        color: #000000;
    }

    95% {
        color: #FFD700;
    }

    96% {
        color: #FF69B4;
    }

    97% {
        color: #00bfff;
    }

    90% {
        color: #00bfff;
    }

    100% {
        color: #000000;
    }
}

@keyframes hrcolor {
    0% {
        background-color: #00bfff;
    }

    25% {
        background-color: #ff69bf;
    }

    50% {
        background-color: #ffd700;
    }

    75% {
        background-color: #808080;
    }

    100% {
        background-color: #00bfff;
    }
}
 
.bluecheckbg {
    background-image: url("bluecheck.png");
    animation: bluecheckscroll 50s linear infinite;
}

@keyframes bluecheckscroll { 
    0% { background-position: 0px 0px; }
    100% { background-position: 480px 480px; } 
}

@keyframes bgscroll { 
    0% { background-position: 0 0; }
    100% { background-position: -1080px -2160px; } 
}